#if defined(__dsPIC30F__)
#include <p30fxxxx.h>
#elif defined(__dsPIC33F__)
#include <p33Fxxxx.h>
#elif defined(__PIC24H__)
#include <p24Hxxxx.h>
#endif

#include "OC1.h"
#include "INT.h"

void OC1_Config(void)
{
	//OCxCON: Output Compare x Control Register
	//bit 15-14 Unimplemented: Read as 0
	//bit 13 OCSIDL: Stop Output Compare in Idle Mode Control bit
		//1 = Output compare x will halt in CPU Idle mode
		//0 = Output compare x will continue to operate in CPU Idle mode
	OC1CONbits.OCSIDL=0;
	//bit 12-5 Unimplemented: Read as 0
	//bit 4 OCFLT: PWM Fault Condition Status bit
		//1 = PWM Fault condition has occurred (cleared in HW only)
		//0 = No PWM Fault condition has occurred
		//(This bit is only used when OCM<2:0> = 111.)
	OC1CONbits.OCFLT=0;
	//bit 3 OCTSEL: Output Compare Timer Select bit
		//1 = Timer3 is the clock source for compare x
		//0 = Timer2 is the clock source for compare x
		//Note: Refer to the device data sheet for specific time bases available to the output compare module.
	OC1CONbits.OCTSEL=0;
	//bit 2-0 OCM<2:0>: Output Compare Mode Select bits
		//111 = PWM mode on OCx, Fault pin enabled
		//110 = PWM mode on OCx, Fault pin disabled
		//101 = Initialize OCx pin low, generate continuous output pulses on OCx pin
		//100 = Initialize OCx pin low, generate single output pulse on OCx pin
		//011 = Compare event toggles OCx pin
		//010 = Initialize OCx pin high, compare event forces OCx pin low
		//001 = Initialize OCx pin low, compare event forces OCx pin high
		//000 = Output compare channel is disabled
	OC1CONbits.OCM=0;
}

void _INT_ServiceRoutine _OC1Interrupt(void)
{
	IFS0bits.OC1IF=0;
}
