#if defined(__dsPIC30F__)
#include <p30fxxxx.h>
#elif defined(__dsPIC33F__)
#include <p33Fxxxx.h>
#elif defined(__PIC24H__)
#include <p24Hxxxx.h>
#endif

_FOSC(CSW_FSCM_OFF & HS);
_FWDT(WDT_OFF);
_FBORPOR(PBOR_OFF & MCLR_EN);
_FGS(CODE_PROT_OFF);
_FICD(ICS_PGD1);

#include "ADC.h"
#include "I2C.h"
#include "INT.h"
#include "OC1.h"
#include "SPI1.h"
#include "TMR1.h"
#include "TMR23.h"
#include "TMR45.h"
#include "UART1.h"
#include "control.h"

int main(void)
{
	ADC_Config();
	I2C_Config();
	INT_Config();
	OC1_Config();
	SPI1_Config();
	TMR1_Config();
	TMR23_Config();
	TMR45_Config();
	UART1_Config();

	Control_Init();

	while(1);

	return 0;
}
